using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATSearchRegistration")]
public partial class AtsearchRegistration
{
    [Key]
    public Guid ObjectGuid { get; set; }

    [StringLength(50)]
    public string SearchLocation { get; set; } = null!;

    [StringLength(50)]
    public string SearchType { get; set; } = null!;

    [StringLength(50)]
    public string ConnectionName { get; set; } = null!;

    [StringLength(50)]
    public string DatabaseName { get; set; } = null!;

    [StringLength(50)]
    public string TableName { get; set; } = null!;

    [StringLength(255)]
    public string? BaseLinkUrl { get; set; }

    [InverseProperty("SearchRegistration")]
    public virtual ICollection<Atsearch> Atsearches { get; set; } = new List<Atsearch>();

    [ForeignKey("ConnectionName")]
    [InverseProperty("AtsearchRegistrations")]
    public virtual AtenterpriseConnection ConnectionNameNavigation { get; set; } = null!;
}
